Atcmenu for Windows95 Version 0

Atcmenu for Windows98 Version 0.13

1.Fuction

This program offers menu function that aritcle items are displayed in the list by the article index file (.idx) or article files (.atc) and you can select and view the article data easily.
This program is convenient to view several article data because it independ on the viewer and not close the menu after displaying the article.

2.Command parameter

ATCMENU.EXE [-eProgram] [-iIndex] [-tTitle] [ATC directory]

-e : a path name for the viewer display the article data
-i : a path name for the article index file (.idx)
-t : a title for the menu window
none : a directory name for the article file (.atc)
(This dirctory name is necessary when no article index file exists or article files are located on different directory.)

note : a path name, directory name or window title needs to be enclosed with double quotations when it contains a space character.

3.Operation

Fig.1 Main window

(1)Path name setting
If the viewer and article index file name are not set at executing this program and need to be changed, you click a [Setup] button and open the [Path setup] dialog box, and then click a [OK] button after setting these.

Fig.2 Path setup dialog box

Program : a path name for the viewer display the article data
Index : a path name for the article index file (.idx)
Directory : a directory name for the article file (.atc)
(This dirctory name is necessary when no article index file exists or article files are located on different directory.)

(2)Article selecting
Article items is displayed in the list box when a path name etc. are correct, and then you click and select one.

(3)Article viewing
 The viewer will displays a selected article is executed and the article data is registered when you click a [Go] button. If the viewer has been executed already, registered article data is erased and selected data is registered.

(4)Program quiting
If you want to quit this program, you click a [Qiut] button and open the [Quitting mode selection] dialog box, and then click a [OK] button after selecting a mode.

Fig.3 Quitting mode selection dialog box

Quit a menu program only. : Never quit the viewer even if it has been executed.
Quit a viewer program also. : Quit the viewer also if it has been executed.
Quit after running a viewer program. : Execute the viewer if it has not been run yet.

4.Setup file

You can store setting values contain path names of the viewer and the article index file to a setup file, and use these as default values at next starting time. (Command parameters are taken priority of default values when this program has been executed with these.)
Present setting values are stored to a setup file (ATCMENU.ini) is located on a same directory as this program when you click a [Write values] item in the system menu.

Fig.4 System menu

5.History

Version 0.10 2001-02-01 public version
Version 0.11 2001-02-24
main contents of version up
>Add a function you can write and read a setting file.
>Change a function such as article items are displayed by article files when no article index file exists.
>Add a function you can view a help document.

Version 0.12 2002-12-09
main contents of version up
>Change a function such as the relative directory of each setting value may become effective to an execution program.

Version 0.13 2008-10-20
main contents of version up
>Correct an error that the absolute directory of each setting value may be treated as the relative directory for an execution program.